Bug 1296888 - [RFE] - Allow filter puppet modules by 'Repository', 'Author', 'Version' [NEEDINFO]
[RFE] - Allow filter puppet modules by 'Repository', 'Author', 'Version'
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.5
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 06:02 EST by eumartin
Modified: 2017-04-04 01:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bbuckingham: needinfo? (eumartin)


Attachments (Terms of Use)
Satellite 6.2: search puppet modules by author (102.68 KB, image/png)
2016-08-25 13:03 EDT, Brad Buckingham
no flags Details
Satellite 6.2: search puppet modules by name (104.88 KB, image/png)
2016-08-25 13:04 EDT, Brad Buckingham
no flags Details

  None (edit)
Description eumartin 2016-01-08 06:02:34 EST
Description of problem:
When you have a huge amount of puppet modules, or also a copy of puppet forge trying to find your own puppet modules without any filters is pretty complicated.

Version-Release number of selected component (if applicable):
6.1.5

How reproducible:
Always

Steps to Reproduce:
1.WebUI/Content_View/Product/Puppet_modules


Actual results:
Find the puppet module by name, click on each one in the list to check which one is yours, and add it.

Expected results:
Being able to filter by 'Name' and/or 'Author' and/or 'Repository' and/or 'Version' to find the correct puppet module.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:07:04 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Brad Buckingham 2016-08-25 13:03:03 EDT
In Satellite 6.2, enhancements were made to improve searching capabilities as well as provide more consistency.

As part of those changes, the user can now filter puppet modules based upon name, author, summary and version.  Would that address the request?

Adding a couple of attachments to illustrate. These are just very basic scenarios; however, the user may combine the search attributes for more complex filtering.
Comment 3 Brad Buckingham 2016-08-25 13:03 EDT
Created attachment 1194064 [details]
Satellite 6.2: search puppet modules by author
Comment 4 Brad Buckingham 2016-08-25 13:04 EDT
Created attachment 1194065 [details]
Satellite 6.2: search puppet modules by name

Note You need to log in before you can comment on or make changes to this bug.